<?php

namespace Notes\Breadcrumb\Attribute\Method;

use Notes\Route\Attribute\Method\Route;

#[\Attribute(\Attribute::IS_REPEATABLE | \Attribute::TARGET_METHOD)]
class Breadcrumb implements \Notes\Attribute {

    public Route $routeAnnotation;

    public bool $current = false;

    public function __construct(
        public string $parent = "",
        public string $icon = "",
        public string $lang = "",
        public string $route = "",
        public array $methods = [],
        public string $class = "",
        public string $classMethod = "",
    ) {}

}
